/*
   
        (c) 2006 by Thomas Michel <tom.michel@arcor.de>

        Kwlan is free software; you can redistribute it and/or modify
        it under the terms of the GNU Library General Public License as
        published by the Free Software Foundation; either version 2 of
        the License, or (at your option) any later version.

        Kwlan is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Library General Public License for more details.

        You should have received a copy of the GNU Library General Public License
        along with this library; see the file COPYING.LIB.  If not, write to
        the Free Software Foundation, Inc., 51 Franklin Steet, Fifth Floor,
        Boston, MA 02110-1301, USA.
*/

#include "keventhistorydlg.h"

#include <qlistview.h>

#include <kdebug.h>

KEventHistoryDlg::KEventHistoryDlg(QWidget* parent, const char* name, bool modal, WFlags fl)
: KEventHistory(parent,name, modal,fl)
{
}

KEventHistoryDlg::~KEventHistoryDlg()
{
}

/*$SPECIALIZATION$*/

void KEventHistoryDlg::addEvent( WpaMsg msg )
{
    QListViewItem *item;
    item = new QListViewItem(lvEventHistory,
                             msg.getTimestamp().toString("yyyy-MM-dd hh:mm:ss.zzz"),
                             msg.getMsg());
    if (item == NULL)
        return;
    lvEventHistory->ensureItemVisible(item);
    lvEventHistory->setSelected(item, false);
}

void KEventHistoryDlg::addEvents( WpaMsgList msgs )
{
    kdDebug() << "Initiating Log window" <<endl;
    WpaMsgList::iterator it;
    for (it = msgs.begin(); it != msgs.end(); it++) {
        addEvent(*it);
    }
}



#include "keventhistorydlg.moc"


